Subject: Re: bug#75209: 30.0.93; Emacs reader failed to read data in "/home/nlj/.cache/org-persist/gc-lock.eld"

From: "N. Jackson" <[email-masked]>
Date: Fri, 14 Feb 2025 22:33:24 +0000

At 16:33 +0000 on Friday 2025-02-14, Ihor Radchenko wrote:
>
> Eli Zaretskii <[email-masked]> writes:
>
>> Emacs reads files in chunks of 16KB.  Is the file in question likely
>> to be larger than that?
>
> The file size is around 60 bytes x number of Emacs instances started within
> the last 24 hours (one record for each process until `org-persist-gc-lock-expiry').
>
> For it to exceed 16kb, one needs to run Emacs >250 times per day.

That's not it then.  (I only have two instances of Emacs open at any
time and I mostly keep them running until I get a kernel update and
restart my system -- which happens about once a week. In the last
few years, I doubt I've opened Emacs more than a dozen times in any
24 hour period -- I haven't done that since I stopped working mostly
from the command line and started working mostly from within Emacs.
(But I can imagine someone working from the command line potentially
opening Emacs more than 256 times a day.))